Bug 975097 - PRD33 - glance import/export templates and raw floating disks
PRD33 - glance import/export templates and raw floating disks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Federico Simoncelli
Elad
http://www.ovirt.org/Features/Glance_...
storage
: FutureFeature, TechPreview
Depends On:
Blocks: 975629 978691 978692 978693 1019470
  Show dependency treegraph
 
Reported: 2013-06-17 11:51 EDT by Itamar Heim
Modified: 2016-02-10 15:24 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Technology Preview
Doc Text:
Red Hat Enterprise Virtualization now provides technology preview support for importing and exporting images and disks from the OpenStack Glance domain provider.
Story Points: ---
Clone Of:
: 975629 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:27:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itamar Heim 2013-06-17 11:51:20 EDT
- import/export of template
- import/export of disks
  (export is only for disks without snapshots)
Comment 1 Ayal Baron 2013-07-16 17:49:06 EDT
Fede, please add links to patches.

VDSM side is merged, waiting for merge of engine side.
Comment 2 Federico Simoncelli 2013-07-17 04:42:37 EDT
- I3271b3c4 backend: add glance storage domain support [1]
- I07274bbc frontend: add glance storage domain support [2]
- I424998de providers: add the openstack image support [3]
- I6b3e9497 backend: add the import glance image support [4]
- I084dadfd frontend: add the import glance image support [5]
- Id93d40eb backend: add the export glance image support [6]
- If5ec1bd1 frontend: add the export glance image support [7]

[1] http://gerrit.ovirt.org/#/c/15897
[2] http://gerrit.ovirt.org/#/c/15898
[3] http://gerrit.ovirt.org/#/c/15899
[4] http://gerrit.ovirt.org/#/c/16082
[5] http://gerrit.ovirt.org/#/c/16083
[6] http://gerrit.ovirt.org/#/c/16419
[7] http://gerrit.ovirt.org/#/c/16420
Comment 6 Elad 2013-09-15 07:21:38 EDT
Tier 1 tests were executed, Feature functionality is OK
Comment 7 Charlie 2013-11-27 19:22:32 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 8 errata-xmlrpc 2014-01-21 12:27:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.